Opened 13 years ago

Last modified 8 years ago

#476 reopened defect

Title Freeze on DVD+RW

Reported by: alupu@… Owned by: reimar
Priority: normal Component: vo
Version: HEAD Severity: normal
Keywords: Cc:
Blocked By: Blocking:
Reproduced by developer: Analyzed by developer:

Description

SYSTEM
MPlayer with essential-20050412
Stable. Working OK.
i686-pc-linux-gnu 2.6.14
Pioneer DVD-ROM ATAPI Model DVD-117 0104 drive
Disc: Verbatim DVD+RW 1X-4X
Recorded: on CyberHome? DVR-1600. 6 Titles.
Full. Successful (AFAIK).
Not finalized (doesn't need to nor is this possible on CH-1600 for +RW's.)

PROBLEM
The 6th (last) title doesn't work.
Sits frozen solid at what appears to be the first frame.
Run as usual from an xterm window in X11:
./mplayer dvd://6
To "unfreeze" the situation, I'd click the MPlayer window close,
then I'd click the xterm window close than exit to command line.
I find lots of disc errors (details below) there, to stop them I have to eject
the disc.

COMMENTS

  1. Disc appears to be properly recognized by the system:

# mount -r /dev/hdc /mnt
UDF-fs INFO UDF 0.9.8.1 (2004/29/09) Mounting volume 'StorageLabs? UDF Volume',
timestamp 2006/03/24 01:14 (1f10)
# ls -l /mnt
dr-xr-xr-x 2 1 bin 300 2006-03-24 00:14 VIDEO_RM
dr-xr-xr-x 2 1 bin 560 2006-04-01 05:00 VIDEO_TS
# ls -l /mnt/VIDEO_TS
-r-xr-xr-x 1 1 bin 12288 2006-04-01 05:11 VIDEO_TS.BUP
-r-xr-xr-x 1 1 bin 12288 2006-04-01 05:11 VIDEO_TS.IFO
-r-xr-xr-x 1 1 bin 98304 2006-04-01 05:11 VIDEO_TS.VOB
-r-xr-xr-x 1 1 bin 133120 2006-04-01 06:35 VTS_01_0.BUP
-r-xr-xr-x 1 1 bin 133120 2006-04-01 05:00 VTS_01_0.IFO
-r-xr-xr-x 1 1 bin 1069547520 2006-04-01 06:35 VTS_01_1.VOB
-r-xr-xr-x 1 1 bin 1069547520 2006-04-01 06:35 VTS_01_2.VOB
-r-xr-xr-x 1 1 bin 1069547520 2006-04-01 06:35 VTS_01_3.VOB
-r-xr-xr-x 1 1 bin 1069547520 2006-04-01 06:35 VTS_01_4.VOB
-r-xr-xr-x 1 1 bin 45285376 2006-04-01 06:35 VTS_01_5.VOB
# umount /dev/hdc

  1. There's good reason to believe the whole recording is OK: First 5 titles work just fine with MPlayer, AND EVERYTHING (including this

last title works perfectly with PowerDVD 5 and WMP 10 on WinXP SP2 (same system
and drive.)

  1. I did try -sb and -ss in an (futile) attempt to skip past the freeze.
  1. So far this type of problem seems to occur only on the last title (not

consistently though.)

  1. -vo xv is the default

THE GORY DETAILS

  1. Output of ./mplayer dvd://6 -v > temp.txt 2>&1

MPlayer dev-CVS-060404-20:02-3.4.3 (C) 2000-2006 MPlayer Team
CPU: Intel Pentium 4/Celeron 4 Northwood; Pentium 4 EE/Xeon Prestonia,Gallatin
(Family: 15, Stepping: 9)
CPUflags: MMX: 1 MMX2: 1 3DNow: 0 3DNow2: 0 SSE: 1 SSE2: 1
Compiled for x86 CPU with extensions: MMX MMX2 SSE SSE2

get_path('codecs.conf') -> '/root/.mplayer/codecs.conf'
Reading /root/.mplayer/codecs.conf: Can't open '/root/.mplayer/codecs.conf': No
such file or directory
Reading /root/MPlayer/main/etc/codecs.conf: 91 audio & 206 video codecs
CommandLine?: 'dvd://6' '-v'
init_freetype
get_path('font/font.desc') -> '/root/.mplayer/font/font.desc'
font: can't open file: /root/.mplayer/font/font.desc
font: can't open file: /root/MPlayer/main/share/mplayer/font/font.desc
Using MMX (with tiny bit MMX2) Optimized OnScreenDisplay?
Using Linux hardware RTC timing (1024Hz).
get_path('input.conf') -> '/root/.mplayer/input.conf'
Can't open input config file /root/.mplayer/input.conf: No such file or directory
Parsing input config file /root/MPlayer/main/etc/input.conf
Input config file /root/MPlayer/main/etc/input.conf parsed: 59 binds
get_path('6.conf') -> '/root/.mplayer/6.conf'
Playing dvd://6.
get_path('sub/') -> '/root/.mplayer/sub/'
URL: dvd://6
Reading disc structure, please wait...
* Zero check failed in ifo_read.c:324

for vmgi_mat->zero_3 = 0x00000000010000000000000000000000000000

There are 12 titles on this DVD.
There are 14 chapters in this DVD title.
There are 1 angles in this DVD title.
DVD successfully opened.
[open] audio stream: 0 audio format: mpeg1 (stereo) language: unknown aid: 0
[open] number of audio channels on disk: 1.
[open] subtitle ( sid ): 0 language: unknown
[open] number of subtitles on disk: 1
DVD start cell: 0 pack: 0xDC420-0xE31DE
DVD start=902176 end=2111071
STREAM: [null] dvd://6
STREAM: Description: DVD stream
STREAM: Author:
STREAM: Comment:
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
Checking for YUV4MPEG2
ASF_check: not ASF guid!
Checking for NuppelVideo?
Checking for REAL
Checking for SMJPEG
Searching demuxer type for filename dvd://6 ext: (null)
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
Checking for Nullsoft Streaming Video
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
Checking for MOV
Checking for VIVO
header block 1 size: 0
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
AVS: avs_check_file - attempting to open file dvd://6
AVS: File is too big, aborting...
Checking for PVA
Checking for MPEG-TS...
TRIED UP TO POSITION 1847725801, FOUND 47, packet_size= 0, SEEMS A TS? 0
DVD Seek! lba=0xDC441 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
Checking for LMLM4 Stream Format
Invalid packet in LMLM4 stream: ch=0 size=1140851722
LMLM4 Stream Format not found
system stream synced at 0x6E21000D (1847656461)!
==> Found video stream: 0
DVD Seek! lba=0x1DDED5 cell=46 packs: 0x1DD921-0x1E3139
Angle-seek synced by cell/vob IDN search!
==> Found audio stream: 0
DVD Seek! lba=0x20356A cell=53 packs: 0x2029A0-0x20365F
Angle-seek synced by cell/vob IDN search!
--- END OF CELL !!! ---
MPEG Stream reached EOF
ds_fill_buffer: EOF reached (stream: video)
DVD Seek! lba=0xDC420 cell=0 packs: 0xDC420-0xE31DE
Angle-seek synced by cell/vob IDN search!
MPEG-PS file format detected.
Searching for sequence header... OK!
VIDEO: MPEG2 352x480 (aspect 2) 29.970 fps 2037.2 kbps (254.7 kbyte/s)
[V] filefmt:2 fourcc:0x10000002 size:352x480 fps:29.97 ftime:=0.0334
get_path('sub/') -> '/root/.mplayer/sub/'
get_path('default.sub') -> '/root/.mplayer/default.sub'
File not found: '/root/.mplayer/default.sub'
Failed to open /root/.mplayer/default.sub
==========================================================================
Opening audio decoder: [mp3lib] MPEG layer-2, layer-3
dec_audio: Allocating 4608 + 65536 = 70144 bytes for output buffer.
mp3lib: made decode tables with MMX optimization
mp3lib: using MMX optimized decore!
MP3lib: init layer2&3 finished, tables done

MPEG 1.0, Layer II, 48000 Hz 256 kbit Stereo, BPF: 768
Channels: 2, copyright: No, original: No, CRC: No, emphasis: 0
AUDIO: 48000 Hz, 2 ch, s16le, 256.0 kbit/16.67% (ratio: 32000->192000)
Selected audio codec: [mp3] afm: mp3lib (mp3lib MPEG layer-2, layer-3)
==========================================================================
X11 opening display: :0.0
vo: X11 color mask: FFFFFF (R:FF0000 G:FF00 B:FF)
vo: X11 running at 1024x768 with depth 24 and 32 bpp (":0.0" => local display)
[x11] Detected wm supports layers.
[x11] Detected wm supports NetWM.
[x11] Detected wm supports FULLSCREEN state.
[x11] Current fstype setting honours LAYER FULLSCREEN X atoms
Disabling DPMS
DPMSDisable stat: 1
[xv common] Drawing colorkey manually.
[xv common] Using colorkey from Xv (0x0101fe).
[xv common] Maximum source image dimensions: 2046x2046
==========================================================================
Opening video decoder: [mpegpes] MPEG 1/2 Video passthrough
VDec: vo config request - 352 x 480 (preferred colorspace: Mpeg PES)
Trying filter chain: vo
Could not find matching colorspace - retrying with -vf scale...
Opening video filter: [scale]
SwScale? params: -1 x -1 (-1=no scaling)
Trying filter chain: scale vo
The selected video_out device is incompatible with this codec.
Try adding the scale filter, e.g. -vf spp,scale instead of -vf spp.
VDecoder init failed :(
Opening video decoder: [libmpeg2] MPEG 1/2 Video decoder libmpeg2-v0.4.0b
Selected video codec: [mpeg12] vfm: libmpeg2 (MPEG-1 or 2 (libmpeg2))
==========================================================================
Building audio filter chain for 48000Hz/2ch/s16le -> 0Hz/0ch/??...
[libaf] Adding filter dummy
[dummy] Was reinitialized: 48000Hz/2ch/s16le
[dummy] Was reinitialized: 48000Hz/2ch/s16le
ao2: 48000 Hz 2 chans s16le
audio_setup: using '/dev/dsp' dsp device
audio_setup: using '/dev/mixer' mixer device
audio_setup: using 'pcm' mixer device
audio_setup: sample format: s16le (requested: s16le)
audio_setup: using 2 channels (requested: 2)
audio_setup: using 48000 Hz samplerate (requested: 48000)
audio_setup: frags: 16/16 (4096 bytes/frag) free: 65536
AO: [oss] 48000Hz 2ch s16le (2 bytes per sample)
AO: Description: OSS/ioctl audio output
AO: Author: A'rpi
Building audio filter chain for 48000Hz/2ch/s16le -> 48000Hz/2ch/s16le...
[dummy] Was reinitialized: 48000Hz/2ch/s16le
[dummy] Was reinitialized: 48000Hz/2ch/s16le
Starting playback...
VDec: vo config request - 352 x 480 (preferred colorspace: Planar YV12)
Trying filter chain: vo
VDec: using Planar YV12 as output csp (no 0)
Movie-Aspect is 1.33:1 - prescaling to correct movie aspect.
VO Config (352x480->640x480,flags=0,'MPlayer',0x32315659)
VO: [xv] 352x480 => 640x480 Planar YV12
VO: Description: X11/Xv
VO: Author: Gerd Knorr <kraxel@…> and others
Xvideo image format: 0x32595559 (YUY2) packed
Xvideo image format: 0x32315659 (YV12) planar
Xvideo image format: 0x59565955 (UYVY) packed
Xvideo image format: 0x30323449 (I420) planar
using Xvideo port 61 for hw scaling
[xv] dx: 0 dy: 0 dw: 640 dh: 480
* [vo] Allocating mp_image_t, 352x480x12bpp YUV planar, 253440 bytes
[xv] dx: 0 dy: 0 dw: 640 dh: 480
A: 0.4 V: 0.0 A-V: 0.392 ct: 0.000 1/ 1 ??% ??% ??,?% 0 0 #[J
* [vo] Allocating mp_image_t, 352x480x12bpp YUV planar, 253440 bytes
A: 0.4 V: 0.4 A-V: 0.039 ct: 0.003 2/ 2 ??% ??% ??,?% 0 0 #[J
get_path('subfont.ttf') -> '/root/.mplayer/subfont.ttf'
Unicode font: 679 glyphs.
A: 0.5 V: 0.4 A-V: 0.039 ct: 0.007 3/ 3 ??% ??% ??,?% 0 0 #[J
* [vo] Allocating mp_image_t, 352x480x12bpp YUV planar, 253440 bytes
A: 0.5 V: 0.4 A-V: 0.034 ct: 0.010 4/ 4 ??% ??% ??,?% 0 0 #[J
A: 0.5 V: 0.5 A-V: 0.031 ct: 0.013 5/ 5 ??% ??% ??,?% 0 0 #[J
A: 0.5 V: 0.5 A-V: 0.037 ct: 0.016 6/ 6 ??% ??% ??,?% 0 0 #[J
A: 0.6 V: 0.5 A-V: 0.033 ct: 0.020 7/ 7 ??% ??% ??,?% 0 0 #[J
A: 0.6 V: 0.6 A-V: 0.039 ct: 0.023 8/ 8 ??% ??% ??,?% 0 0 #[J
A: 0.6 V: 0.6 A-V: 0.015 ct: 0.025 9/ 9 ??% ??% ??,?% 0 0 #[J
A: 0.7 V: 0.6 A-V: 0.013 ct: 0.026 10/ 10 ??% ??% ??,?% 0 0 #[J
A: 0.7 V: 0.7 A-V: 0.012 ct: 0.027 11/ 11 ??% ??% ??,?% 0 0 #[J

MPlayer interrupted by signal 1 in module: decode_audio

  • MPlayer crashed. This shouldn't happen. It can be a bug in the MPlayer code _or_ in your drivers _or_ in your gcc version. If you think it's MPlayer's fault, please read DOCS/HTML/en/bugreports.html and follow the instructions there. We can't and won't help unless you provide this information when reporting a possible bug.

Uninit audio filters...
[libaf] Removing filter dummy
uninit audio: mp3lib
uninit video: libmpeg2

MPlayer interrupted by signal 13 in module: uninit_vo
vo: uninit ...
X connection to :0.0 broken (explicit kill or server shutdown).


  1. startx messages and the screen errors on exit to command line.

XFree86 Version 4.5.0
Release Date: 16 March 2005
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.11.12 i686 [ELF]
Current Operating System: Linux AlexLFS 2.6.14 #1 SMP PREEMPT Tue Nov 1 19:54:58
EST 2005 i686
Build Date: 5 October 2005
Changelog Date: 17 March 2005

Before reporting problems, check http://www.XFree86.Org/
to make sure that you have the latest version.

Module Loader present
Command line: X :0
Markers: (--) probed, () from config file, (==) default setting,

(++) from command line, (!!) notice, (EE) error, (WW) warning,
(II) informational, (NI) not implemented, (??) unknown.

(==) Log file: "/var/log/XFree86.0.log", Time: Tue Apr 4 20:17:21 2006
(==) Using config file: "/etc/X11/XF86Config".
BScreen::BScreen: managing screen 0 using visual 0x23, depth 24
GetModeLine? - scrn: 0 clock: 65000
GetModeLine? - hdsp: 1024 hbeg: 1048 hend: 1184 httl: 1344

vdsp: 768 vbeg: 771 vend: 777 vttl: 806 flags: 10

waiting for X server to shut down
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
end_request: I/O error, dev hdc, sector 8510216
Buffer I/O error on device hdc, logical block 1063777
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown

[~/MPlayer/main]$ hdc: cdrom_decode_status: status=0x51 { DriveReady?
SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
hdc: ide_intr: huh? expected NULL handler on exit
hdc: ATAPI reset complete
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
hdc: ATAPI reset complete
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
hdc: tray open
end_request: I/O error, dev hdc, sector 8510224
Buffer I/O error on device hdc, logical block 1063778
hdc: tray open
end_request: I/O error, dev hdc, sector 8510232
Buffer I/O error on device hdc, logical block 1063779
hdc: tray open
end_request: I/O error, dev hdc, sector 8510240
Buffer I/O error on device hdc, logical block 1063780
... etc.


  1. System details:

+++ kernel version:
Linux 2.6.14 #1 SMP PREEMPT i686 pentium4 i386 GNU/Linux
+++ libc version:

/lib/libc-2.3.4.so

+++ gcc and ld versions:
Reading specs from /usr/lib/gcc/i686-pc-linux-gnu/3.4.3/specs
Configured with: ../gcc-3.4.3/configure --prefix=/usr --libexecdir=/usr/lib
--enable-shared --enable-threads=posix --enable-cxa_atexit
--enable-clocale=gnu --enable-languages=c,c++
Thread model: posix
gcc version 3.4.3

GNU ld version 2.15.94.0.2.2 20041220
+++ binutils version:
GNU assembler 2.15.94.0.2.2 20041220
This assembler was configured for a target of `i686-pc-linux-gnu'.
+++ Hardware and drivers

Motherboard: ASUS P4S533-MX

+++ CPU info:
processor : 0
vendor_id : GenuineIntel?
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.06GHz
stepping : 9
cpu MHz : 3059.727
cache size : 512 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips : 6126.88

processor : 1
vendor_id : GenuineIntel?
cpu family : 15
model : 2
model name : Intel(R) Pentium(R) 4 CPU 3.06GHz
stepping : 9
cpu MHz : 3059.727
cache size : 512 KB
physical id : 0
siblings : 2
core id : 0
cpu cores : 1
fdiv_bug : no
hlt_bug : no
f00f_bug : no
coma_bug : no
fpu : yes
fpu_exception : yes
cpuid level : 2
wp : yes
flags : fpu vme de pse tsc msr pae mce cx8 apic sep mtrr pge mca cmov pat pse36
clflush dts acpi mmx fxsr sse sse2 ss ht tm pbe cid xtpr
bogomips : 6118.56

+++ Video card manufacturer and model, e.g.:
+++ CHAINTECH NVidia GeForce? FX5500 AGP 8x, 256MB
+++ Video driver type and version:
+++ XFree86 Version 4.5.0, xv: X11/Xv
+++ Sound card type and driver:
00:02.7 Multimedia audio controller: Silicon Integrated Systems [SiS] Sound
Controller (rev a0)

Subsystem: ASUSTeK Computer Inc.: Unknown device 80b0
Control: I/O+ Mem- BusMaster?+ SpecCycle?- MemWINV- VGASnoop- ParErr?- Stepping-

SERR- FastB2B-

Status: Cap+ 66Mhz- UDF- FastB2B+ ParErr?- DEVSEL=medium >TAbort- <TAbort-

<MAbort- >SERR- <PERR-

Latency: 32 (13000ns min, 2750ns max)
Interrupt: pin C routed to IRQ 16
Region 0: I/O ports at a400 [size=256]
Region 1: I/O ports at a000 [size=128]
Capabilities: [48] Power Management version 2

Flags: PMEClk- DSI- D1+ D2+ AuxCurrent?=55mA PME(D0-,D1-,D2-,D3hot+,D3cold+)
Status: D0 PME-Enable- DSel=0 DScale=0 PME-


Thank you very much for your consideration and help.
-- Alphonsu

Change History (11)

comment:1 Changed 13 years ago by reimar

  • Resolution set to invalid
  • Status changed from new to closed

hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error }
hdc: cdrom_decode_status: error=0x40 { LastFailedSense?=0x04 }
ide: failed opcode was: unknown
end_request: I/O error, dev hdc, sector 8510216
Buffer I/O error on device hdc, logical block 1063777

Sorry, but the problem is that your drive just can't read the DVD (or the kernel
tries to read beyond the end of the DVD without realizing it).
Either way, this is not an MPlayer problem (it _might_ be possible to work
around it in MPlayer, but it would break more than fix).
I do not know about DVDs, but AFAIK unfinalized CDs are invalid.

comment:2 Changed 13 years ago by alupu@…

  • Resolution invalid deleted
  • Status changed from closed to reopened

Hi Reimar,

1.

I do not know about DVDs, but AFAIK unfinalized CDs are invalid.

1.1 True about CDs. However, this is a DVD+WR and it doesn't need to be finalized.
To learn more about DVD+RW go to
www.dvdrw.com/why/customer-benefits.htm
"No finalization for DVD+RW: no waiting time, the disc is always immediately
compatible" , etc.

1.2 As I noted

Not finalized (doesn't need to nor is this possible on CH-1600 for +RW's.)

2.

the problem is that your drive just can't read the DVD ...

2.1 As I noted:

There's good reason to believe the whole recording is OK:
First 5 titles work just fine with MPlayer, AND EVERYTHING (including this

last title works perfectly with PowerDVD 5 and WMP 10 on WinXP SP2 (same system
and drive.)

2.2 On the same type disk and similar recording, MPlayer might play each title
properly.

3.

hdc: cdrom_decode_status: status=0x51 { DriveReady? SeekComplete? Error } ...
... etc.

These error messages start AFTER I unfreeze the situation by closing the MPlayer
window (with the subject image sitting frozen for ever) and then I eject the disc.
Also, the kernel is fine:

Disc appears to be properly recognized by the system:
# mount -r /dev/hdc /mnt
...


comment:3 Changed 13 years ago by reimar

Disc appears to be properly recognized by the system:
# mount -r /dev/hdc /mnt

The titles should then also appear as .vob files in that mounted path. Can you
play them correctly directly? (I assume you did not use CSS...)
Please try other linux players as well, like xine, ogle, VLC etc.
PowerDVD might work because it AFAIK does not need to detect "end of file" for
the DVD but instead takes the length info from the DVD info structures.

comment:4 Changed 13 years ago by alupu@…

Hi Reimar,

The titles should then also appear as .vob files in that mounted path.
Can you play them correctly directly?

For reference:
# ls /mnt/VIDEO_TS/*.VOB
VIDEO_TS.VOB
VTS_01_1.VOB
VTS_01_2.VOB
VTS_01_3.VOB
VTS_01_4.VOB
VTS_01_5.VOB

NOTES:

Let's call the VTS files above, VTS1 ... VTS5.
VIDEO_TS is the "Menu" which MPlayer does not show (by design). Fine.
Let's call the Titles appearing on XP in PowerDVD or WMP Menu, T1 ... T6.
(T6 is the one that freezes MPlayer).


COMMENTS:

  1. When played directly, i.e., 'mplayer /mnt/VIDEO_TS/VTS_01_x.VOB':

Only VTS1 corresponds exactly to T1 (during the starting frames).
All the others (VTS2 ... VTS5) seem to match somewhere in T4 ... T6.

  1. Back to "regular" play, i.e. 'mplayer dvd://TitleNo', you get this strange

(but exact) correspondence:

TitleNo? T (of the XP Menu)
======= ==================
1 1
2 2
3 3
4 4
5 5
6 6 (the "freeze" title)
7 1
8 2
9 3
10 4
11 6 (the "freeze" title)
12 5


(I assume you did not use CSS...)

I don't understand that one.


Please try other linux players as well, like xine, ogle, VLC etc.

I don't have any other Linux players (I like MPlayer, basically)
I remember trying once the Xine in Knoppix; its functionality seemed very
restricted there.


PowerDVD might work because it AFAIK does not need to detect "end of file" for

the DVD but instead takes the length info from the DVD info structures.

WMP works too.
The point here is when the MPlayer documentation makes comments like,
"it plays bad AVI files which are unplayable with the famous windows media
player" (Chapter 1)
that means it wants to be compared with the "big boys".
I understand (and accept), it already starts handicapped by not showing menus,
but in order to play in the big leagues, it's supposed to do at least this much
(whether taking the length info from the DVD info structures or any other way).

I'm not familiar with the MPlayer internals but from a layman's point of view it
is a little bit puzzling that it freezes at the _beginning_ of the title, not at
the end (maybe by not detecting the EOF it takes in too big a chunk and then it
crashes? ).

comment:5 Changed 13 years ago by alupu@…

I had a little time to search through the VOB files more thoroughly.
I found the "offending title" (6, same as 12) in VTS_01_2.VOB (i.e., "VTS2").
It plays CORRECTLY. It transitions smoothly from the previous "title" (5) in
this file and continues correctly to the end
In other words, it does NOT freeze at the 1st frame I had been talking about,
i.e., there's no problem that I can find.

CORRECTION
In my previous post I said:

TitleNo? T (of the XP Menu)
======= ==================
... ...
11 6 (the "freeze" title)
12 5

It should be:

TitleNo? T (of the XP Menu)
======= ==================
... ...
11 5
12 6 (the "freeze" title)

I apologize.

comment:6 Changed 13 years ago by reimar

(I assume you did not use CSS...)

I don't understand that one.

I meant: I assumed you did not encrypt/copy protect the titles. If you had,
playing the .vob files would not have been possible (at least with MPlayer).

Ok, I do not know anything further for now (except maybe try -cache 8192 and
-nocache options).
I do have a similar problem with the german "Serenity" dvd though, but it only
happens when using MPlayer under Windows, under Linux it is fine, so I doubt
this is the same thing (and it also starts playing after waiting ca. 3 Minutes).
One more thing you could try is to play the ISO file directly (without burning),
via "mplayer -dvd-device /path/to/file.iso dvd://6".
And if you ever run across a image that has this same problem and is < 300 MB,
upload it to ftp://www.mplayerhq.hu/MPlayer/incoming (write-only directory, and
of course tell us you did *g*)

comment:7 Changed 13 years ago by reimar

I fixed the problem with the serenity DVD, but that was caused by off_t being 32
bit under MinGW. Nevertheless, please try CVS, maybe it fixed your problem as
well...

comment:8 Changed 13 years ago by alupu@…

Hi Reimar,

try -cache 8192 and -nocache options

Doesn't work with '-nocache' (i.e., it's still on "freeze").
With '-cache 8192' it finally starts moving for a few seconds. If I increase
the size all the way up to say, 32768 I can get as much as 15 sec. or so (with
both video and audio in perfect sync).
NOTE: This behavior is independent of MPlayer version (original release or CVS)

BTW, it would be nice for 'mplayer --version' to output just the version and

not start complaining.

I fixed the problem with the serenity DVD, but that was caused by off_t being 32

bit under MinGW.

Good for you! Congratulations!

Nevertheless, please try CVS, maybe it fixed your problem as well...

No such luck here (as of CVS-060411-20:58-3.4.3).

play the ISO file directly (without burning), via
"mplayer -dvd-device /path/to/file.iso dvd://6".
And if you ever run across a image that has this same problem and is < 300 MB,
upload it to ftp://www.mplayerhq.hu/MPlayer/incoming (write-only directory, and

of course tell us you did *g*).

Coincidentally, my plan has always been to create a little "demo" DVD and send
its ISO up for your viewing pleasure.
I've come across this problem before so with a little luck and care :) I hope to
reproduce it in a more manageable format.
Just please bear with me for a short while; I'll be very busy what with the
Holidays and all.

Thanks.

comment:9 Changed 13 years ago by alupu@…

Hi Reimar,

I've managed to reproduced the freeze problem on a smaller scale.
I'll be uploading file 'Bug476-041206.iso' (and *.txt) for review.
NOTES:

I'm not totally comfortable with the production of the ISO file.
Please go over the command line below and let me know if it needs changes.

you could try to play the ISO file directly (without burning),
via "mplayer -dvd-device /path/to/file.iso dvd://6".

When I try to view the ISO file,

mplayer [ -dvd-device /dev/hdc ] Bug476041206.iso [ dvd://1 ]

it does play (no freeze) but the image is in a "split" screen,
i.e., two identical displays splitting (horizontally) a 4:3 picture.
Sound seems OK and in sync.
The disc plays correctly on WinXP2 (PowerDVD and WMP).

DETAILS:
One single recording session (i.e., one title).
TITLE01 CH3 (from TV - as opposed to VHS on the original problem disc).
Length: 9 min. Quality EP (4 hours)
On the same recorder (CH DVR-1600), the Chapter Marker ( >>| ): 5 min.
Same disc type: DVD+RW, Verbatim 1X-4X
Same problem: Freezes after a few frames.
Same symptom: with '-cache x' you can increase the viewing time,

x=32768 --> approx. 15 sec. to freeze.

# ls -l /mnt
dr-xr-xr-x 2 1 bin 300 2006-04-18 00:14 VIDEO_RM
dr-xr-xr-x 2 1 bin 352 2006-04-18 00:14 VIDEO_TS

# ls -l /mnt/VIDEO_TS
total 162592
-r-xr-xr-x 1 1 bin 12288 2006-04-18 00:28 VIDEO_TS.BUP
-r-xr-xr-x 1 1 bin 12288 2006-04-18 00:28 VIDEO_TS.IFO
-r-xr-xr-x 1 1 bin 32768 2006-04-18 00:28 VIDEO_TS.VOB
-r-xr-xr-x 1 1 bin 20480 2006-04-18 00:29 VTS_01_0.BUP
-r-xr-xr-x 1 1 bin 20480 2006-04-18 00:28 VTS_01_0.IFO
-r-xr-xr-x 1 1 bin 166395904 2006-04-18 00:29 VTS_01_1.VOB

# mount -r /dev/hdc /mnt
# cd /mnt
# mkisofs -o /root/Bug476-041206.iso -r -V "" -P "" -p "" -A "" .
mkisofs: The option '-P' is reserved by POSIX.1-2001.
mkisofs: The option '-P' means 'do not follow symbolic links'.
mkisofs: Mkisofs-2.02 will introduce POSIX semantics for '-P'.
mkisofs: Use -publisher in future to get old mkisofs behavior.
Total translation table size: 0
Total rockridge attributes bytes: 1520
Total directory bytes: 4096
Path table size(bytes): 42
Max brk space used 21000
82049 extents written (160 MB)

PLEASE HELP
I've been UNSUCCESSFUL in trying to upload the txt file (as preliminary to the
iso file)

Basic steps (with variations)

  1. open mplayerhq.hu
  2. login user: anonymous/pass: Enter (successful)
  3. ascii (or binary)
  4. cd MPlayer
  5. put file incoming (or variations, such as put file mplayerhq.hu/MPlayer/incoming, etc.)
  6. 553 Could not create file

Tried 'passive' too.
I can GET a file (such as README.incoming from MPlayer subdirectory)

comment:10 Changed 10 years ago by compn

you forgot to cd incoming
then put file....

anyways try svn and try mplayer dvdnav://
if you still have this dvdrw :)

comment:11 Changed 8 years ago by compn

  • Owner changed from alex@… to reimar
Note: See TracTickets for help on using tickets.